package fr.janua.client;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

/**
 * The client side stub for the RPC service.
 */
@RemoteServiceRelativePath("crud")
public interface CrudService extends RemoteService {

	boolean changeConfigDB(String host, String user, String password, String tableName);

	boolean checkDB();

	String[] getConfigDB();

	void reloadConfDB();

	



}
