package fr.janua.client;

import java.util.List;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

import fr.janua.shared.Log;

/**
 * The client side stub for the RPC service.
 */
@RemoteServiceRelativePath("log")
public interface LogService extends RemoteService {

	void addLog(Log newLog);

	Number getNbLog();

	List<Log> getLog(int i, int nbElem);



}
