package fr.janua.client.internationalization;

import com.google.gwt.i18n.client.Constants;
//import com.google.gwt.i18n.client.LocalizableResource.DefaultLocale;

//@DefaultLocale("e")
public interface JaguardsConstants extends Constants {

	// On n'utilise pas @DefaultStringValue, car dans White_pages.gwt.xml on spécifie que l'anglais est la langue par défaut. on a donc plus besoin d'un texte par défaut  

	//	String labelWPMultiplatform();

	/* Général */
	String currentLanguage();
	String french();
	String english();
	String message();
	String messages();
	String profile();
	String profiles();
	String group();
	String groups();
	String location();
	String locations();
	String type();
	String types();
	String logs();
	String adminDB();
	String enabled();
	String disabled();
	String update();
	String show();
	String hide();
	String good();
	String bad();
	String yes();
	String no();
	String loading();
	String insufficientAccessRights();
	String validate();
	String state();
	String changeState();
	String all();
	String holdCtrlToSelectMultiple();
	
	/* Warnings */
	String pleaseEnterTitle();
	String pleaseEnterShorterTitle();
	String pleaseEnterDescription();
	String pleaseEnterShorterDescription();
	String pleaseSelectSite();
	String pleaseSelectTypes();
	String pleaseEnterComment();
	String pleaseEnterShorterComment();
	//---------------------
	String pleaseEnterLogin();
	String pleaseEnterFirstName();
	String pleaseEnterLastName();
	String pleaseEnterMail();
	String pleaseEnterPassword();
	String pleaseEnterRepeatPassword();
	String passwordDifferent();
	//---------------------
	String pleaseEnterGroupName();
	String groupNameAlreadyExists();
	//---------------------
	String pleaseEnterSiteName();
	//---------------------
	String pleaseEnterTypeName();
	String pleaseEnterBackgroundColor();
	
	/* Success / Fail */
	String successCreateMessage();
	String failCreateMessage();
	String successClosureMessage();
	String failClosureMessage();
	String successAddComment();
	String failAddComment();
	String successAddType();
	String failAddType();
	String successGeneratePdf();
	String failGeneratePdf();
	//---------------------
	String successCreateUser();
	String failCreateUser();
	String failCreateUserGroupNotFound();
	String successUpdateUser();
	String failUpdateUser();
	String failUpdateUserGroupNotFound();
	String failUpdateUserUserNotFound();
	//---------------------
	String successCreateGroup();
	String failCreateGroup();
	String successUpdateGroup();
	String failUpdateGroup();
	//---------------------
	String successCreateSite();
	String failCreateSite();
	String successUpdateSite();
	String failUpdateSite();
	//---------------------
	String successCreateType();
	String failCreateType();
	String successUpdateType();
	String failUpdateType();
	//---------------------
	String wrongFormatBack();
	String failWhileRetrievingGroupAdminRights();
	String successCreateProfileAdmin();
	String failCreateProfileAdmin();
	String profileAdminAlreadyExist();
	
	String groupAdminAlreadyExistWithoutAdminRightsAccess();
	String groupAdminAlreadyExistWithAdminRightsAccess();
	String failCreateGroupAdminAfterCreation();
	String successCreateGroupAdmin();
	String successCreateGroupAdminFailCreationProfileAdmin();
	String failCreateGroupAdmin();

	/* Page login */
	String badLoginPassword();
	String accountDisabled();
	String DBConfigFailClickToReload();
	
	/* Page main courante */
	String remainingCharacters();
	String openMessages();
	String closedMessages();
	String typeAdded();
	String seizedBy();
	String by();
	String reviewedBy();
	String noComment();
	String closedBy();
	String onDate();
	String atDate();
	String userNotFound();
	String toggleComments();
	String addType();
	String comment();
	String close();
	String downloadPDF();
	String selectASite();
	String january();
	String febuary();
	String march();
	String april();
	String may();
	String june();
	String july();
	String august();
	String september();
	String october();
	String november();
	String december();

	/* Page profile */
	String changePassword();
	String loginAvailable();
	String loginUnavailable();
	String firstName();
	String lastName();
	String mail();
	String password();
	
	/* Page group */
	String create();
	String edit();
	String view();
	String manageDocuments();
	
	/* Page site */
	String locationDoesntExist();

	/* Page type */
	String typeDoesntExist();
	String white();
	String black();
	String textColor();
	String backgroundColor();
	
	/* Page document */
	String userManual();
	String securityGuide();
	String serviceRequest();
	
	/* Page admin DB*/
	String createProfileAdmin();
	String createGroupAndProfileAdmin();
	
	/* AppControllManager */
	String logoutInactivity();
	String failRefreshUserPleaseReconnect();
	
	/* Menu */
	String connect();
	String disconnect();
	String insufficientAccessRightsForAccessToThisPage();
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
}