package fr.janua.client.proxy;

import com.google.web.bindery.requestfactory.shared.EntityProxy;
import com.google.web.bindery.requestfactory.shared.ProxyFor;

import fr.janua.server.entity.Comment;
import fr.janua.server.locator.CommentLocator;

@ProxyFor(value = Comment.class, locator = CommentLocator.class)
public interface CommentProxy extends EntityProxy{
	String getDescription();
	long getDate();
	String getAuthor();
	String getGroupName();
	TypeProxy getType();
	Integer getVersion();
	
	void setId(int id);
	void setDescription(String description);
	void setDate(long date);
	void setAuthor(String author);
	void setGroupName(String groupName);
	void setType(TypeProxy type);
	void setVersion(Integer version);

	
	
}
