package fr.janua.client.proxy;

import java.util.Set;

import com.google.web.bindery.requestfactory.shared.EntityProxy;
import com.google.web.bindery.requestfactory.shared.ProxyFor;

import fr.janua.server.entity.User;
import fr.janua.server.locator.UserLocator;

@ProxyFor(value = User.class, locator = UserLocator.class)
public interface UserProxy extends EntityProxy{
	String getLogin();
	String getPassword();
	String getFirstName();
	String getLastName();
	String getMail();
	boolean isEnabled();
	boolean isShowHelp();
	GroupProxy getGroup();
	long getLastActivity();
	Set<SiteProxy> getSiteAllowed();
	Integer getVersion();

	void setLogin(String login);
	void setPassword(String password);
	void setFirstName(String firstName);
	void setLastName(String lastName);
	void setMail(String mail);
	void setEnabled(boolean enabled);
	void setShowHelp(boolean showHelp);
	void setGroup(GroupProxy group);
	void setLastActivity(long lastActivity);
	void setSiteAllowed(Set<SiteProxy> siteAllowed);
	void setVersion(Integer version);

}
