package fr.janua.server.dao;


public abstract class DAO<T> {

	/**
	 * Constructeur
	 */
	public DAO() {
	}

	/**
	 * Méthode de création
	 * @param obj
	 * @return
	 */
	public abstract boolean create(T obj);

	/**
	 * Méthode pour effacer
	 * @param obj
	 * @return
	 */
	public abstract boolean delete(T obj);

	/**
	 * Méthode de mise à jour
	 * @param obj
	 * @return
	 */
	public abstract boolean update(T obj);

	/**
	 * Méthode de recherche des informations
	 * @param id
	 * @return
	 */
	public abstract T findById(int id);

}
