package fr.janua.client.proxy;

import com.google.web.bindery.requestfactory.shared.EntityProxy;
import com.google.web.bindery.requestfactory.shared.ProxyFor;

import fr.janua.server.entity.Type;
import fr.janua.server.locator.TypeLocator;

@ProxyFor(value = Type.class, locator = TypeLocator.class)
public interface TypeProxy extends EntityProxy{
	String getName();
	String getBgColor();
	String getFgColor();
	boolean isEnabled();
	Integer getVersion();

	void setName(String name);
	void setBgColor(String bgColor);
	void setFgColor(String fgColor);
	void setEnabled(boolean enabled);
	void setVersion(Integer version);
}
