package fr.janua.client.stub;

import com.google.web.bindery.requestfactory.shared.Request;
import com.google.web.bindery.requestfactory.shared.RequestContext;
import com.google.web.bindery.requestfactory.shared.Service;

import fr.janua.client.proxy.CommentProxy;
import fr.janua.server.dao.object.CommentDAO;
import fr.janua.server.locator.DAOLocator;

@Service(value = CommentDAO.class, locator = DAOLocator.class)
public interface CommentRequest extends RequestContext {
	// méthodes génériques des DAO
	Request<Boolean> create(CommentProxy complementaryMessage);
	Request<Boolean> delete(CommentProxy complementaryMessage);
	Request<Boolean> update(CommentProxy complementaryMessage);
	Request<CommentProxy> findById(int id);
	
	// méthodes propres à cette DAO
}
